POST api/medistreamprogramapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

name

string

Required

active

boolean

Required

duration

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "3132eea5-88b1-4745-8aa5-a69662a9c736",
  "id": "b6b08d62-f6b6-47bf-aca5-1a6b4639ec2f",
  "local_id": 1,
  "name": "sample string 3",
  "active": true,
  "duration": 1
}

application/xml, text/xml

Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <duration>1</duration>
  <id>b6b08d62-f6b6-47bf-aca5-1a6b4639ec2f</id>
  <local_id>1</local_id>
  <medistream_id>3132eea5-88b1-4745-8aa5-a69662a9c736</medistream_id>
  <name>sample string 3</name>
</medistream_program>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"5b241c2e-0253-47ec-84a4-7c6c1e227d6d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5b241c2e-0253-47ec-84a4-7c6c1e227d6d</guid>